summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD25
2 files changed, 44 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..50b2f7eba5d
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+pkgbase = wsjtx
+ pkgdesc = Software for Amateur Radio Weak-Signal Communication (JT9 and JT65)
+ pkgver = 1.5.0
+ pkgrel = 1
+ url = http://physics.princeton.edu/pulsar/k1jt/wsjtx.html
+ arch = i686
+ arch = x86_64
+ license = GPL-3
+ depends = qt5-base
+ depends = qt5-multimedia
+ depends = qt5-serialport
+ depends = libusb
+ depends = libusb-compat
+ depends = kvasd-bin
+ source = http://physics.princeton.edu/pulsar/K1JT/wsjtx-1.5.0.tgz
+ md5sums = 7d4ef9ac09533a110a7aa2991c80c327
+
+pkgname = wsjtx
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..c283edd5a79
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,25 @@
+# Maintainer: Thomas Gatzweiler <thomas.gatzweiler@gmail.com>
+
+pkgname=wsjtx
+pkgver=1.5.0
+pkgrel=1
+pkgdesc="Software for Amateur Radio Weak-Signal Communication (JT9 and JT65)"
+arch=('i686' 'x86_64')
+url="http://physics.princeton.edu/pulsar/k1jt/wsjtx.html"
+license=('GPL-3')
+mkdepends=(cmake asciidoc)
+depends=(qt5-base qt5-multimedia qt5-serialport libusb libusb-compat kvasd-bin)
+source=(http://physics.princeton.edu/pulsar/K1JT/$pkgname-$pkgver.tgz)
+md5sums=('7d4ef9ac09533a110a7aa2991c80c327')
+
+build() {
+ mkdir -p $srcdir/build
+ cd $srcdir/build
+ cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release $srcdir/$pkgname-$pkgver
+ make || return 1
+}
+
+package() {
+ cd "${srcdir}/build"
+ make DESTDIR="${pkgdir}" install
+}